# Number

A simple number input field

## Example

    <sil-number label="My Input"></sil-number>

## Usage

Install

    <script type="module" src="https://unpkg.com/@sil/ui/number.js"></script>

Use

    <sil-number></sil-number>

## Props

prop | default | description
--- | --- | ---
label | `""` | Label shown
value | `false` | Default value
placeholder | `""` | Placeholder shown value
required | `false` | Is the field required?
requiredError | `This field is required` | Error shown when the field is required and not set
name | `""` | Name of element
id | `""` | Id of element
min | `null` | Minimum number
max | `null` | Maximum number